Subject: Re: [PATCH v2 1/1] rm: stage submodule removal from '.gitmodules' when using '--cached'

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Mar 2021 12:47:55 -0800

Shourya Shukla <[email-masked]> writes:

> Ahhh. Understood and will work on it. BTW then when does
> GITMODULES_INDEX even fulfill its purpose? Its name can confuse anyone
> into thinking what it made me think: it is the index copy of the
> gitmodules.

I do not offhand know where in our codebase we use it (I am not a
submodule person).

Perhaps get_sha1(":.gitmodules", sha1)?  Even then, I'd probably
prefer to see it spelled as

	get_sha1(":" GITMODULES_FILE, sha1)

with token concatenation.

> Is it something which is to be changed in the near future?

Sorry, I do not understand the question.